import { EventBus } from '../event-bus';
import ResonatorAudioContext from './audio-context';
import { BaseLoader } from './loaders/base-loader';
export default class DataPool extends EventBus {
    private loader;
    private data;
    private maxData;
    private context;
    constructor(context: ResonatorAudioContext, loader?: BaseLoader, maxData?: number);
    get(path: string): Promise<AudioBuffer>;
    clear(): void;
}
